[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# BidiFlipRect

Flips the left and right coordinates in a rectangle and makes it relative to the ParentRect when Flip is True.

## Declaration

Source position: controls.pp line 2781

`function BidiFlipRect(`
`const Rect: TRect;`
`const ParentRect: TRect;`
`const Flip: Boolean`
`):TRect;`

## Arguments

`Rect` |  | TRect instance with the original Left and Right values potentially modified in the routine.
`ParentRect` |  | TRect instance with the parent coordinates where the values in Rect are located.
`Flip` |  | True to flip the left and right values when BiDiMode is enabled.

## Function result

TRect instance with the converted / adjusted Left and Right coordinates calculated in the routine.

## Description

No actions are performed in the routine if Flip is set to False (the default value).

## See also

TCustomGrid.FlipRect |  | Flips coordinates for the specified cell rectangle when BiDiMode or RTL alignment is used.
TCustomColorBox.DrawItem |  | Draws an item in the combo-box control.